Package proton :: Class Transport

[frames] | no frames]

# Class Transport

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
                     Transport

Instance Methods

__init__(self, mode=None, _impl=<built-in function pn_transport>) x.__init__(...) initializes x; see help(type(x)) for signature | source code

bind(self, connection) Assign a connection to the transport | source code

capacity(self) | source code

close_head(self) | source code

close_tail(self) | source code

log(self, message) | source code

peek(self, size) | source code

pending(self) | source code

pop(self, size) | source code

push(self, binary) | source code

require_auth(self, bool) | source code

require_encryption(self, bool) | source code

sasl(self) | source code

ssl(self, domain=None, session_details=None) | source code

tick(self, now) Process any timed events (like heartbeat generation). | source code

trace(self, n) | source code

unbind(self) Release the connection | source code

Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

wrap(impl) | source code

Class Variables
| CLIENT = `1`
| SERVER = `2`
| TRACE_DRV = `4`
| TRACE_FRM = `2`
| TRACE_OFF = `0`
| TRACE_RAW = `1`

Properties
| authenticated
| channel_max Sets the maximum channel that may be used on the transport.
| closed
| condition
| connection
| encrypted
| frames_input
| frames_output
| idle_timeout The idle timeout of the connection (float, in seconds).
| max_frame_size Sets the maximum size for received frames (in bytes).
| remote_channel_max
| remote_idle_timeout
| remote_max_frame_size
| tracer A callback for trace logging.
| user
Inherited from `object`: `__class__`

Method Details

### __init__(self, mode=None, _impl=<built-in function pn_transport>)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### tick(self, now)

source code

Process any timed events (like heartbeat generation). now = seconds since epoch (float).

Property Details

### authenticated

Get Method:
  unreachable.authenticated(self)

### channel_max

Sets the maximum channel that may be used on the transport.

Get Method:
  _get_channel_max(self)
Set Method:
  _set_channel_max(self, value)

### closed

Get Method:
  unreachable.closed(self)

### condition

Get Method:
  unreachable.condition(self)

### connection

Get Method:
  unreachable.connection(self)

### encrypted

Get Method:
  unreachable.encrypted(self)

### frames_input

Get Method:
  unreachable.frames_input(self)

### frames_output

Get Method:
  unreachable.frames_output(self)

### idle_timeout

The idle timeout of the connection (float, in seconds).

Get Method:
  _get_idle_timeout(self)
Set Method:
  _set_idle_timeout(self, sec)

### max_frame_size

Sets the maximum size for received frames (in bytes).

Get Method:
  _get_max_frame_size(self)
Set Method:
  _set_max_frame_size(self, value)

### remote_channel_max

Get Method:
  unreachable.remote_channel_max(self)

### remote_idle_timeout

Get Method:
  unreachable.remote_idle_timeout(self)

### remote_max_frame_size

Get Method:
  unreachable.remote_max_frame_size(self)

### tracer

A callback for trace logging. The callback is passed the transport and log message.

Get Method:
  _get_tracer(self)
Set Method:
  _set_tracer(self, tracer)

### user

Get Method:
  unreachable.user(self)